<template>
  <el-tooltip v-if="!isSuspended" class="box-item" effect="customized">
    <div
      class="flex mx-2 balance"
      :class="[isGlobalMobile ? 'items-end' : 'items-center']"
    >
      <svg-icon
        v-if="isBK8GreenMobile"
        :svg-name="isShowBalance ? 'system-icon-eye' : 'system-icon-eye-slash'"
        class="w-4 h-4 cursor-pointer mr-1"
        @click.stop="isShowBalance = !isShowBalance"
      />
      <nuxt-link v-if="isShowBalance" :to="`${isPopUp ? '?uc=' : ''}/wallet`">
        <div class="mr-2 text-sm font-bold --text3">
          <div v-if="isBK8GreenMobile">
            {{
              mainBalanceForDisplay
                ? currency + mainBalanceForDisplay
                : $t("loading") + "..."
            }}
          </div>
          <div v-else-if="isGlobalMobile" class="flex flex-col justify-end">
            <span class="text-end">{{ currency }}</span>
            <span>
              {{
                mainBalanceForDisplay
                  ? mainBalanceForDisplay
                  : $t("loading") + "..."
              }}</span
            >
          </div>
          <div v-else id="headerBalanceDisplay">
            <span v-if="mainBalanceForDisplay">
              <span class="balance-currency">{{ currency }}</span>
              <span class="text-sm font-bold main-balance-amount">{{
                mainBalanceForDisplay
              }}</span>
            </span>
            <span v-else>{{ $t("loading") }}...</span>
          </div>
        </div>
      </nuxt-link>
      <svg-icon
        id="headerBalanceReloadIcon"
        svg-name="system-icon-rotate"
        :class="[
          'w-4 h-4 cursor-pointer',
          { rotating: isLoading },
          { 'mb-1': isGlobalMobile },
        ]"
        style="fill: var(--text3)"
        @click="() => getMultiWallets()"
      />
    </div>
    <template v-if="wallets.length !== 0" #content>
      <div class="flex flex-col px-3 py-1 leading-7">
        <div class="flex justify-between border-b-2 pointerr-cursor">
          <div>
            {{ $t("wallet") }}
          </div>
          <div>
            {{ $t("amount") }}
          </div>
        </div>
        <template v-for="(wallet, index) in wallets" :key="index">
          <div v-if="peruTheme === true" :key="index">
            <div
              v-if="wallet.Category === 0 || peruShop === false"
              class="flex justify-between"
            >
              <div>
                {{ wallet.getWalletNameForDisplay() }}
              </div>
              <div class="ml-5">
                {{ wallet.getBetCreditForDisplay() }}
              </div>
            </div>
          </div>
          <div v-else :key="index * 2">
            <div class="flex justify-between">
              <div>
                {{ wallet.getWalletNameForDisplay() }}
              </div>
              <div class="ml-5">
                {{ wallet.getBetCreditForDisplay() }}
              </div>
            </div>
          </div>
        </template>
      </div>
    </template>
  </el-tooltip>
  <div v-else class="flex items-center mx-1">
    <span class="mx-1">{{ currency }} {{ mainBalanceForDisplay }}</span>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import useBalanceInfo from "@/composables/useBalanceInfo";
import { store } from "~~/store";

export default defineComponent({
  name: "BalanceInfoComponent",
  props: {
    isSuspended: {
      type: Boolean,
      default: false,
    },
    isPopUp: {
      type: Boolean,
      default: false,
    },
  },
  setup() {
    const peruShop = computed(() =>
      store.state.isPerushopEnabled ? store.state.isPerushopEnabled : false
    );
    const peruTheme = store.state.selectedThemeName === "peru";
    const {
      isLoading,
      currency,
      wallets,
      isShowBalance,
      mainBalanceForDisplay,
      getMultiWallets,
    } = useBalanceInfo();
    const { themeColor } = themePropertyHelper;
    const isMobile = useDevice().isMobile;
    const theme = themeColor.value.Text;
    const isBK8GreenMobile = computed(() => theme === "bk8_green" && isMobile);
    const isGlobalMobile = computed(
      () => (theme.includes("global") || theme.includes("playful")) && isMobile
    );
    onMounted(() => {
      if (!isBK8GreenMobile.value) {
        isShowBalance.value = true;
      }
    });
    const data = {
      isLoading,
      currency,
      wallets,
      isShowBalance,
      theme,
      isBK8GreenMobile,
      mainBalanceForDisplay,
      getMultiWallets,
      peruShop,
      peruTheme,
      isGlobalMobile,
    };
    return data;
  },
});
</script>
<style scope>
.el-popper.is-customized {
  padding: 6px 12px;
  color: var(--text);
  background: var(--background1);
}
.el-popper.is-customized .el-popper__arrow::before {
  background: var(--background1);
  right: 0;
}
</style>
